com.sun.jna.platform.win32

## Class WinDef.ATOM

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.WORD
      - - com.sun.jna.platform.win32.WinDef.ATOM

All Implemented Interfaces:
  NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.WORD>

Enclosing interface:
  WinDef

    public static class WinDef.ATOM
    extends WinDef.WORD

16-bit unsigned integer.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.WinDef.WORD

`SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ATOM()` Instantiates a new atom.
`ATOM(long value)` Instantiates a new atom.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinDef.WORD

`compareTo`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ATOM

    public ATOM()

Instantiates a new atom.

#### ATOM

    public ATOM(long value)

Instantiates a new atom.

Parameters:
  `value` - the value

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.